function S = ids_empty_gyrokinetics
% function S = ids_empty_gyrokinetics
%
% File written automatically using writestruct_to_mfile.m
% writestruct_to_mfile with n=15, with ids_gen to generate empty IDS within IMAS version 3.39.0
%

S = ...
struct(...
'code',struct(...
'commit','',...
'description','',...
'library',{{struct(...
'commit','',...
'description','',...
'name','',...
'parameters','',...
'repository','',...
'version','')
}},...
'name','',...
'output_flag',int32([]),...
'parameters','',...
'repository','',...
'version',''),...
'collisions',struct(...
'collisionality_norm',double([]),...
'collisionality_norm_error_index',int32(-999999999),...
'collisionality_norm_error_lower',double([]),...
'collisionality_norm_error_upper',double([])),...
'flux_surface',struct(...
'b_field_tor_sign',double(-9e+40),...
'b_field_tor_sign_error_index',int32(-999999999),...
'b_field_tor_sign_error_lower',double(-9e+40),...
'b_field_tor_sign_error_upper',double(-9e+40),...
'dc_dr_minor_norm',double([]),...
'dc_dr_minor_norm_error_index',int32(-999999999),...
'dc_dr_minor_norm_error_lower',double([]),...
'dc_dr_minor_norm_error_upper',double([]),...
'delongation_dr_minor_norm',double(-9e+40),...
'delongation_dr_minor_norm_error_index',int32(-999999999),...
'delongation_dr_minor_norm_error_lower',double(-9e+40),...
'delongation_dr_minor_norm_error_upper',double(-9e+40),...
'dgeometric_axis_r_dr_minor',double(-9e+40),...
'dgeometric_axis_r_dr_minor_error_index',int32(-999999999),...
'dgeometric_axis_r_dr_minor_error_lower',double(-9e+40),...
'dgeometric_axis_r_dr_minor_error_upper',double(-9e+40),...
'dgeometric_axis_z_dr_minor',double(-9e+40),...
'dgeometric_axis_z_dr_minor_error_index',int32(-999999999),...
'dgeometric_axis_z_dr_minor_error_lower',double(-9e+40),...
'dgeometric_axis_z_dr_minor_error_upper',double(-9e+40),...
'ds_dr_minor_norm',double([]),...
'ds_dr_minor_norm_error_index',int32(-999999999),...
'ds_dr_minor_norm_error_lower',double([]),...
'ds_dr_minor_norm_error_upper',double([]),...
'elongation',double(-9e+40),...
'elongation_error_index',int32(-999999999),...
'elongation_error_lower',double(-9e+40),...
'elongation_error_upper',double(-9e+40),...
'ip_sign',double(-9e+40),...
'ip_sign_error_index',int32(-999999999),...
'ip_sign_error_lower',double(-9e+40),...
'ip_sign_error_upper',double(-9e+40),...
'magnetic_shear_r_minor',double(-9e+40),...
'magnetic_shear_r_minor_error_index',int32(-999999999),...
'magnetic_shear_r_minor_error_lower',double(-9e+40),...
'magnetic_shear_r_minor_error_upper',double(-9e+40),...
'pressure_gradient_norm',double(-9e+40),...
'pressure_gradient_norm_error_index',int32(-999999999),...
'pressure_gradient_norm_error_lower',double(-9e+40),...
'pressure_gradient_norm_error_upper',double(-9e+40),...
'q',double(-9e+40),...
'q_error_index',int32(-999999999),...
'q_error_lower',double(-9e+40),...
'q_error_upper',double(-9e+40),...
'r_minor_norm',double(-9e+40),...
'r_minor_norm_error_index',int32(-999999999),...
'r_minor_norm_error_lower',double(-9e+40),...
'r_minor_norm_error_upper',double(-9e+40),...
'shape_coefficients_c',double([]),...
'shape_coefficients_c_error_index',int32(-999999999),...
'shape_coefficients_c_error_lower',double([]),...
'shape_coefficients_c_error_upper',double([]),...
'shape_coefficients_s',double([]),...
'shape_coefficients_s_error_index',int32(-999999999),...
'shape_coefficients_s_error_lower',double([]),...
'shape_coefficients_s_error_upper',double([])),...
'fluxes_integrated_norm',{{struct(...
'energy_a_field_parallel',double(-9e+40),...
'energy_a_field_parallel_error_index',int32(-999999999),...
'energy_a_field_parallel_error_lower',double(-9e+40),...
'energy_a_field_parallel_error_upper',double(-9e+40),...
'energy_b_field_parallel',double(-9e+40),...
'energy_b_field_parallel_error_index',int32(-999999999),...
'energy_b_field_parallel_error_lower',double(-9e+40),...
'energy_b_field_parallel_error_upper',double(-9e+40),...
'energy_phi_potential',double(-9e+40),...
'energy_phi_potential_error_index',int32(-999999999),...
'energy_phi_potential_error_lower',double(-9e+40),...
'energy_phi_potential_error_upper',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel_error_index',int32(-999999999),...
'momentum_tor_parallel_a_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel_error_index',int32(-999999999),...
'momentum_tor_parallel_b_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_parallel_phi_potential',double(-9e+40),...
'momentum_tor_parallel_phi_potential_error_index',int32(-999999999),...
'momentum_tor_parallel_phi_potential_error_lower',double(-9e+40),...
'momentum_tor_parallel_phi_potential_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel_error_index',int32(-999999999),...
'momentum_tor_perpendicular_a_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel_error_index',int32(-999999999),...
'momentum_tor_perpendicular_b_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential_error_index',int32(-999999999),...
'momentum_tor_perpendicular_phi_potential_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential_error_upper',double(-9e+40),...
'particles_a_field_parallel',double(-9e+40),...
'particles_a_field_parallel_error_index',int32(-999999999),...
'particles_a_field_parallel_error_lower',double(-9e+40),...
'particles_a_field_parallel_error_upper',double(-9e+40),...
'particles_b_field_parallel',double(-9e+40),...
'particles_b_field_parallel_error_index',int32(-999999999),...
'particles_b_field_parallel_error_lower',double(-9e+40),...
'particles_b_field_parallel_error_upper',double(-9e+40),...
'particles_phi_potential',double(-9e+40),...
'particles_phi_potential_error_index',int32(-999999999),...
'particles_phi_potential_error_lower',double(-9e+40),...
'particles_phi_potential_error_upper',double(-9e+40))
}},...
'ids_properties',struct(...
'comment','',...
'creation_date','',...
'homogeneous_time',int32(-999999999),...
'plugins',struct(...
'infrastructure_get',struct(...
'commit','',...
'description','',...
'name','',...
'repository','',...
'version',''),...
'infrastructure_put',struct(...
'commit','',...
'description','',...
'name','',...
'repository','',...
'version',''),...
'node',{{struct(...
'get_operation',{{struct(...
'commit','',...
'description','',...
'name','',...
'parameters','',...
'repository','',...
'version','')
}},...
'path','',...
'put_operation',{{struct(...
'commit','',...
'description','',...
'name','',...
'parameters','',...
'repository','',...
'version','')
}},...
'readback',{{struct(...
'commit','',...
'description','',...
'name','',...
'parameters','',...
'repository','',...
'version','')
}})
}}),...
'provenance',struct(...
'node',{{struct(...
'path','',...
'sources',{{}})
}}),...
'provider','',...
'source','',...
'version_put',struct(...
'access_layer','',...
'access_layer_language','',...
'data_dictionary','')),...
'model',struct(...
'collisions_energy_conservation',int32(-999999999),...
'collisions_finite_larmor_radius',int32(-999999999),...
'collisions_momentum_conservation',int32(-999999999),...
'collisions_pitch_only',int32(-999999999),...
'include_a_field_parallel',int32(-999999999),...
'include_b_field_parallel',int32(-999999999),...
'include_centrifugal_effects',int32(-999999999),...
'include_full_curvature_drift',int32(-999999999),...
'non_linear_run',int32(-999999999),...
'time_interval_norm',double([]),...
'time_interval_norm_error_index',int32(-999999999),...
'time_interval_norm_error_lower',double([]),...
'time_interval_norm_error_upper',double([])),...
'normalizing_quantities',struct(...
'b_field_tor',double(-9e+40),...
'b_field_tor_error_index',int32(-999999999),...
'b_field_tor_error_lower',double(-9e+40),...
'b_field_tor_error_upper',double(-9e+40),...
'n_e',double(-9e+40),...
'n_e_error_index',int32(-999999999),...
'n_e_error_lower',double(-9e+40),...
'n_e_error_upper',double(-9e+40),...
'r',double(-9e+40),...
'r_error_index',int32(-999999999),...
'r_error_lower',double(-9e+40),...
'r_error_upper',double(-9e+40),...
't_e',double(-9e+40),...
't_e_error_index',int32(-999999999),...
't_e_error_lower',double(-9e+40),...
't_e_error_upper',double(-9e+40)),...
'species',{{struct(...
'charge_norm',double(-9e+40),...
'charge_norm_error_index',int32(-999999999),...
'charge_norm_error_lower',double(-9e+40),...
'charge_norm_error_upper',double(-9e+40),...
'density_log_gradient_norm',double(-9e+40),...
'density_log_gradient_norm_error_index',int32(-999999999),...
'density_log_gradient_norm_error_lower',double(-9e+40),...
'density_log_gradient_norm_error_upper',double(-9e+40),...
'density_norm',double(-9e+40),...
'density_norm_error_index',int32(-999999999),...
'density_norm_error_lower',double(-9e+40),...
'density_norm_error_upper',double(-9e+40),...
'mass_norm',double(-9e+40),...
'mass_norm_error_index',int32(-999999999),...
'mass_norm_error_lower',double(-9e+40),...
'mass_norm_error_upper',double(-9e+40),...
'temperature_log_gradient_norm',double(-9e+40),...
'temperature_log_gradient_norm_error_index',int32(-999999999),...
'temperature_log_gradient_norm_error_lower',double(-9e+40),...
'temperature_log_gradient_norm_error_upper',double(-9e+40),...
'temperature_norm',double(-9e+40),...
'temperature_norm_error_index',int32(-999999999),...
'temperature_norm_error_lower',double(-9e+40),...
'temperature_norm_error_upper',double(-9e+40),...
'velocity_tor_gradient_norm',double(-9e+40),...
'velocity_tor_gradient_norm_error_index',int32(-999999999),...
'velocity_tor_gradient_norm_error_lower',double(-9e+40),...
'velocity_tor_gradient_norm_error_upper',double(-9e+40))
}},...
'species_all',struct(...
'beta_reference',double(-9e+40),...
'beta_reference_error_index',int32(-999999999),...
'beta_reference_error_lower',double(-9e+40),...
'beta_reference_error_upper',double(-9e+40),...
'debye_length_reference',double(-9e+40),...
'debye_length_reference_error_index',int32(-999999999),...
'debye_length_reference_error_lower',double(-9e+40),...
'debye_length_reference_error_upper',double(-9e+40),...
'shearing_rate_norm',double(-9e+40),...
'shearing_rate_norm_error_index',int32(-999999999),...
'shearing_rate_norm_error_lower',double(-9e+40),...
'shearing_rate_norm_error_upper',double(-9e+40),...
'velocity_tor_norm',double(-9e+40),...
'velocity_tor_norm_error_index',int32(-999999999),...
'velocity_tor_norm_error_lower',double(-9e+40),...
'velocity_tor_norm_error_upper',double(-9e+40),...
'zeff',double(-9e+40),...
'zeff_error_index',int32(-999999999),...
'zeff_error_lower',double(-9e+40),...
'zeff_error_upper',double(-9e+40)),...
'tag',{{struct(...
'comment','',...
'name','')
}},...
'time',double([]),...
'wavevector',{{struct(...
'binormal_component_norm',double(-9e+40),...
'binormal_component_norm_error_index',int32(-999999999),...
'binormal_component_norm_error_lower',double(-9e+40),...
'binormal_component_norm_error_upper',double(-9e+40),...
'eigenmode',{{struct(...
'a_field_parallel_perturbed_norm',double([]),...
'a_field_parallel_perturbed_norm_error_index',int32(-999999999),...
'a_field_parallel_perturbed_norm_error_lower',double([]),...
'a_field_parallel_perturbed_norm_error_upper',double([]),...
'a_field_parallel_perturbed_parity',double([]),...
'a_field_parallel_perturbed_parity_error_index',int32(-999999999),...
'a_field_parallel_perturbed_parity_error_lower',double([]),...
'a_field_parallel_perturbed_parity_error_upper',double([]),...
'a_field_parallel_perturbed_weight',double([]),...
'a_field_parallel_perturbed_weight_error_index',int32(-999999999),...
'a_field_parallel_perturbed_weight_error_lower',double([]),...
'a_field_parallel_perturbed_weight_error_upper',double([]),...
'b_field_parallel_perturbed_norm',double([]),...
'b_field_parallel_perturbed_norm_error_index',int32(-999999999),...
'b_field_parallel_perturbed_norm_error_lower',double([]),...
'b_field_parallel_perturbed_norm_error_upper',double([]),...
'b_field_parallel_perturbed_parity',double([]),...
'b_field_parallel_perturbed_parity_error_index',int32(-999999999),...
'b_field_parallel_perturbed_parity_error_lower',double([]),...
'b_field_parallel_perturbed_parity_error_upper',double([]),...
'b_field_parallel_perturbed_weight',double([]),...
'b_field_parallel_perturbed_weight_error_index',int32(-999999999),...
'b_field_parallel_perturbed_weight_error_lower',double([]),...
'b_field_parallel_perturbed_weight_error_upper',double([]),...
'code',struct(...
'output_flag',int32(-999999999),...
'parameters',''),...
'fluxes_moments',{{struct(...
'fluxes_norm_gyrocenter',struct(...
'energy_a_field_parallel',double(-9e+40),...
'energy_a_field_parallel_error_index',int32(-999999999),...
'energy_a_field_parallel_error_lower',double(-9e+40),...
'energy_a_field_parallel_error_upper',double(-9e+40),...
'energy_b_field_parallel',double(-9e+40),...
'energy_b_field_parallel_error_index',int32(-999999999),...
'energy_b_field_parallel_error_lower',double(-9e+40),...
'energy_b_field_parallel_error_upper',double(-9e+40),...
'energy_phi_potential',double(-9e+40),...
'energy_phi_potential_error_index',int32(-999999999),...
'energy_phi_potential_error_lower',double(-9e+40),...
'energy_phi_potential_error_upper',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel_error_index',int32(-999999999),...
'momentum_tor_parallel_a_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel_error_index',int32(-999999999),...
'momentum_tor_parallel_b_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_parallel_phi_potential',double(-9e+40),...
'momentum_tor_parallel_phi_potential_error_index',int32(-999999999),...
'momentum_tor_parallel_phi_potential_error_lower',double(-9e+40),...
'momentum_tor_parallel_phi_potential_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel_error_index',int32(-999999999),...
'momentum_tor_perpendicular_a_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel_error_index',int32(-999999999),...
'momentum_tor_perpendicular_b_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential_error_index',int32(-999999999),...
'momentum_tor_perpendicular_phi_potential_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential_error_upper',double(-9e+40),...
'particles_a_field_parallel',double(-9e+40),...
'particles_a_field_parallel_error_index',int32(-999999999),...
'particles_a_field_parallel_error_lower',double(-9e+40),...
'particles_a_field_parallel_error_upper',double(-9e+40),...
'particles_b_field_parallel',double(-9e+40),...
'particles_b_field_parallel_error_index',int32(-999999999),...
'particles_b_field_parallel_error_lower',double(-9e+40),...
'particles_b_field_parallel_error_upper',double(-9e+40),...
'particles_phi_potential',double(-9e+40),...
'particles_phi_potential_error_index',int32(-999999999),...
'particles_phi_potential_error_lower',double(-9e+40),...
'particles_phi_potential_error_upper',double(-9e+40)),...
'fluxes_norm_gyrocenter_rotating_frame',struct(...
'energy_a_field_parallel',double(-9e+40),...
'energy_a_field_parallel_error_index',int32(-999999999),...
'energy_a_field_parallel_error_lower',double(-9e+40),...
'energy_a_field_parallel_error_upper',double(-9e+40),...
'energy_b_field_parallel',double(-9e+40),...
'energy_b_field_parallel_error_index',int32(-999999999),...
'energy_b_field_parallel_error_lower',double(-9e+40),...
'energy_b_field_parallel_error_upper',double(-9e+40),...
'energy_phi_potential',double(-9e+40),...
'energy_phi_potential_error_index',int32(-999999999),...
'energy_phi_potential_error_lower',double(-9e+40),...
'energy_phi_potential_error_upper',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel_error_index',int32(-999999999),...
'momentum_tor_parallel_a_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel_error_index',int32(-999999999),...
'momentum_tor_parallel_b_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_parallel_phi_potential',double(-9e+40),...
'momentum_tor_parallel_phi_potential_error_index',int32(-999999999),...
'momentum_tor_parallel_phi_potential_error_lower',double(-9e+40),...
'momentum_tor_parallel_phi_potential_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel_error_index',int32(-999999999),...
'momentum_tor_perpendicular_a_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel_error_index',int32(-999999999),...
'momentum_tor_perpendicular_b_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential_error_index',int32(-999999999),...
'momentum_tor_perpendicular_phi_potential_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential_error_upper',double(-9e+40),...
'particles_a_field_parallel',double(-9e+40),...
'particles_a_field_parallel_error_index',int32(-999999999),...
'particles_a_field_parallel_error_lower',double(-9e+40),...
'particles_a_field_parallel_error_upper',double(-9e+40),...
'particles_b_field_parallel',double(-9e+40),...
'particles_b_field_parallel_error_index',int32(-999999999),...
'particles_b_field_parallel_error_lower',double(-9e+40),...
'particles_b_field_parallel_error_upper',double(-9e+40),...
'particles_phi_potential',double(-9e+40),...
'particles_phi_potential_error_index',int32(-999999999),...
'particles_phi_potential_error_lower',double(-9e+40),...
'particles_phi_potential_error_upper',double(-9e+40)),...
'fluxes_norm_particle',struct(...
'energy_a_field_parallel',double(-9e+40),...
'energy_a_field_parallel_error_index',int32(-999999999),...
'energy_a_field_parallel_error_lower',double(-9e+40),...
'energy_a_field_parallel_error_upper',double(-9e+40),...
'energy_b_field_parallel',double(-9e+40),...
'energy_b_field_parallel_error_index',int32(-999999999),...
'energy_b_field_parallel_error_lower',double(-9e+40),...
'energy_b_field_parallel_error_upper',double(-9e+40),...
'energy_phi_potential',double(-9e+40),...
'energy_phi_potential_error_index',int32(-999999999),...
'energy_phi_potential_error_lower',double(-9e+40),...
'energy_phi_potential_error_upper',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel_error_index',int32(-999999999),...
'momentum_tor_parallel_a_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel_error_index',int32(-999999999),...
'momentum_tor_parallel_b_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_parallel_phi_potential',double(-9e+40),...
'momentum_tor_parallel_phi_potential_error_index',int32(-999999999),...
'momentum_tor_parallel_phi_potential_error_lower',double(-9e+40),...
'momentum_tor_parallel_phi_potential_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel_error_index',int32(-999999999),...
'momentum_tor_perpendicular_a_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel_error_index',int32(-999999999),...
'momentum_tor_perpendicular_b_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential_error_index',int32(-999999999),...
'momentum_tor_perpendicular_phi_potential_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential_error_upper',double(-9e+40),...
'particles_a_field_parallel',double(-9e+40),...
'particles_a_field_parallel_error_index',int32(-999999999),...
'particles_a_field_parallel_error_lower',double(-9e+40),...
'particles_a_field_parallel_error_upper',double(-9e+40),...
'particles_b_field_parallel',double(-9e+40),...
'particles_b_field_parallel_error_index',int32(-999999999),...
'particles_b_field_parallel_error_lower',double(-9e+40),...
'particles_b_field_parallel_error_upper',double(-9e+40),...
'particles_phi_potential',double(-9e+40),...
'particles_phi_potential_error_index',int32(-999999999),...
'particles_phi_potential_error_lower',double(-9e+40),...
'particles_phi_potential_error_upper',double(-9e+40)),...
'fluxes_norm_particle_rotating_frame',struct(...
'energy_a_field_parallel',double(-9e+40),...
'energy_a_field_parallel_error_index',int32(-999999999),...
'energy_a_field_parallel_error_lower',double(-9e+40),...
'energy_a_field_parallel_error_upper',double(-9e+40),...
'energy_b_field_parallel',double(-9e+40),...
'energy_b_field_parallel_error_index',int32(-999999999),...
'energy_b_field_parallel_error_lower',double(-9e+40),...
'energy_b_field_parallel_error_upper',double(-9e+40),...
'energy_phi_potential',double(-9e+40),...
'energy_phi_potential_error_index',int32(-999999999),...
'energy_phi_potential_error_lower',double(-9e+40),...
'energy_phi_potential_error_upper',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel_error_index',int32(-999999999),...
'momentum_tor_parallel_a_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_parallel_a_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel_error_index',int32(-999999999),...
'momentum_tor_parallel_b_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_parallel_b_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_parallel_phi_potential',double(-9e+40),...
'momentum_tor_parallel_phi_potential_error_index',int32(-999999999),...
'momentum_tor_parallel_phi_potential_error_lower',double(-9e+40),...
'momentum_tor_parallel_phi_potential_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel_error_index',int32(-999999999),...
'momentum_tor_perpendicular_a_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_a_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel_error_index',int32(-999999999),...
'momentum_tor_perpendicular_b_field_parallel_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_b_field_parallel_error_upper',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential_error_index',int32(-999999999),...
'momentum_tor_perpendicular_phi_potential_error_lower',double(-9e+40),...
'momentum_tor_perpendicular_phi_potential_error_upper',double(-9e+40),...
'particles_a_field_parallel',double(-9e+40),...
'particles_a_field_parallel_error_index',int32(-999999999),...
'particles_a_field_parallel_error_lower',double(-9e+40),...
'particles_a_field_parallel_error_upper',double(-9e+40),...
'particles_b_field_parallel',double(-9e+40),...
'particles_b_field_parallel_error_index',int32(-999999999),...
'particles_b_field_parallel_error_lower',double(-9e+40),...
'particles_b_field_parallel_error_upper',double(-9e+40),...
'particles_phi_potential',double(-9e+40),...
'particles_phi_potential_error_index',int32(-999999999),...
'particles_phi_potential_error_lower',double(-9e+40),...
'particles_phi_potential_error_upper',double(-9e+40)),...
'moments_norm_gyrocenter',struct(...
'density',double([]),...
'density_error_index',int32(-999999999),...
'density_error_lower',double([]),...
'density_error_upper',double([]),...
'density_gyroav',double([]),...
'density_gyroav_error_index',int32(-999999999),...
'density_gyroav_error_lower',double([]),...
'density_gyroav_error_upper',double([]),...
'heat_flux_parallel',double([]),...
'heat_flux_parallel_error_index',int32(-999999999),...
'heat_flux_parallel_error_lower',double([]),...
'heat_flux_parallel_error_upper',double([]),...
'heat_flux_parallel_gyroav',double([]),...
'heat_flux_parallel_gyroav_error_index',int32(-999999999),...
'heat_flux_parallel_gyroav_error_lower',double([]),...
'heat_flux_parallel_gyroav_error_upper',double([]),...
'j_parallel',double([]),...
'j_parallel_error_index',int32(-999999999),...
'j_parallel_error_lower',double([]),...
'j_parallel_error_upper',double([]),...
'j_parallel_gyroav',double([]),...
'j_parallel_gyroav_error_index',int32(-999999999),...
'j_parallel_gyroav_error_lower',double([]),...
'j_parallel_gyroav_error_upper',double([]),...
'pressure_parallel',double([]),...
'pressure_parallel_error_index',int32(-999999999),...
'pressure_parallel_error_lower',double([]),...
'pressure_parallel_error_upper',double([]),...
'pressure_parallel_gyroav',double([]),...
'pressure_parallel_gyroav_error_index',int32(-999999999),...
'pressure_parallel_gyroav_error_lower',double([]),...
'pressure_parallel_gyroav_error_upper',double([]),...
'pressure_perpendicular',double([]),...
'pressure_perpendicular_error_index',int32(-999999999),...
'pressure_perpendicular_error_lower',double([]),...
'pressure_perpendicular_error_upper',double([]),...
'pressure_perpendicular_gyroav',double([]),...
'pressure_perpendicular_gyroav_error_index',int32(-999999999),...
'pressure_perpendicular_gyroav_error_lower',double([]),...
'pressure_perpendicular_gyroav_error_upper',double([]),...
'v_parallel_energy_perpendicular',double([]),...
'v_parallel_energy_perpendicular_error_index',int32(-999999999),...
'v_parallel_energy_perpendicular_error_lower',double([]),...
'v_parallel_energy_perpendicular_error_upper',double([]),...
'v_parallel_energy_perpendicular_gyroav',double([]),...
'v_parallel_energy_perpendicular_gyroav_error_index',int32(-999999999),...
'v_parallel_energy_perpendicular_gyroav_error_lower',double([]),...
'v_parallel_energy_perpendicular_gyroav_error_upper',double([]),...
'v_perpendicular_square_energy',double([]),...
'v_perpendicular_square_energy_error_index',int32(-999999999),...
'v_perpendicular_square_energy_error_lower',double([]),...
'v_perpendicular_square_energy_error_upper',double([]),...
'v_perpendicular_square_energy_gyroav',double([]),...
'v_perpendicular_square_energy_gyroav_error_index',int32(-999999999),...
'v_perpendicular_square_energy_gyroav_error_lower',double([]),...
'v_perpendicular_square_energy_gyroav_error_upper',double([])),...
'moments_norm_particle',struct(...
'density',double([]),...
'density_error_index',int32(-999999999),...
'density_error_lower',double([]),...
'density_error_upper',double([]),...
'heat_flux_parallel',double([]),...
'heat_flux_parallel_error_index',int32(-999999999),...
'heat_flux_parallel_error_lower',double([]),...
'heat_flux_parallel_error_upper',double([]),...
'j_parallel',double([]),...
'j_parallel_error_index',int32(-999999999),...
'j_parallel_error_lower',double([]),...
'j_parallel_error_upper',double([]),...
'pressure_parallel',double([]),...
'pressure_parallel_error_index',int32(-999999999),...
'pressure_parallel_error_lower',double([]),...
'pressure_parallel_error_upper',double([]),...
'pressure_perpendicular',double([]),...
'pressure_perpendicular_error_index',int32(-999999999),...
'pressure_perpendicular_error_lower',double([]),...
'pressure_perpendicular_error_upper',double([]),...
'v_parallel_energy_perpendicular',double([]),...
'v_parallel_energy_perpendicular_error_index',int32(-999999999),...
'v_parallel_energy_perpendicular_error_lower',double([]),...
'v_parallel_energy_perpendicular_error_upper',double([]),...
'v_perpendicular_square_energy',double([]),...
'v_perpendicular_square_energy_error_index',int32(-999999999),...
'v_perpendicular_square_energy_error_lower',double([]),...
'v_perpendicular_square_energy_error_upper',double([])))
}},...
'frequency_norm',double(-9e+40),...
'frequency_norm_error_index',int32(-999999999),...
'frequency_norm_error_lower',double(-9e+40),...
'frequency_norm_error_upper',double(-9e+40),...
'growth_rate_norm',double(-9e+40),...
'growth_rate_norm_error_index',int32(-999999999),...
'growth_rate_norm_error_lower',double(-9e+40),...
'growth_rate_norm_error_upper',double(-9e+40),...
'growth_rate_tolerance',double(-9e+40),...
'growth_rate_tolerance_error_index',int32(-999999999),...
'growth_rate_tolerance_error_lower',double(-9e+40),...
'growth_rate_tolerance_error_upper',double(-9e+40),...
'initial_value_run',int32(-999999999),...
'phi_potential_perturbed_norm',double([]),...
'phi_potential_perturbed_norm_error_index',int32(-999999999),...
'phi_potential_perturbed_norm_error_lower',double([]),...
'phi_potential_perturbed_norm_error_upper',double([]),...
'phi_potential_perturbed_parity',double([]),...
'phi_potential_perturbed_parity_error_index',int32(-999999999),...
'phi_potential_perturbed_parity_error_lower',double([]),...
'phi_potential_perturbed_parity_error_upper',double([]),...
'phi_potential_perturbed_weight',double([]),...
'phi_potential_perturbed_weight_error_index',int32(-999999999),...
'phi_potential_perturbed_weight_error_lower',double([]),...
'phi_potential_perturbed_weight_error_upper',double([]),...
'poloidal_angle',double([]),...
'poloidal_angle_error_index',int32(-999999999),...
'poloidal_angle_error_lower',double([]),...
'poloidal_angle_error_upper',double([]),...
'poloidal_turns',int32(-999999999),...
'time_norm',double([]),...
'time_norm_error_index',int32(-999999999),...
'time_norm_error_lower',double([]),...
'time_norm_error_upper',double([]))
}},...
'radial_component_norm',double(-9e+40),...
'radial_component_norm_error_index',int32(-999999999),...
'radial_component_norm_error_lower',double(-9e+40),...
'radial_component_norm_error_upper',double(-9e+40))
}});
